%define	name	oregano
%define	version	0.23
%define	release	4mdk

Summary:	Oregano
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphics
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2-devel
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	libglade-devel
BuildRequires:	gnome-print-devel
BuildRequires:	texinfo
BuildRequires:	xpm-devel
Source: 	http://people.imendio.com/richard/oregano/download/%{name}-%{version}.tar.bz2
Url:		http://people.imendio.com/richard/oregano/		
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires: gnome-libs >= 1.0.0
Requires: libxml >= 1.5.0
Requires: libglade >= 0.8
Requires: gnome-print >= 0.8

%description
Oregano is an application for schematic capture and simulation of
electrical circuits. For the actual simulation, Oregano acts as a
front-end for SPICE, which is more or less the industry standard for
circuit simulation.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog ABOUT-NLS AUTHORS INSTALL NEWS README COPYING
%{_datadir}/gnome/help/oregano
%{_bindir}/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/oregano
%{_datadir}/gnome/apps/*/*

%changelog
* Thu Aug 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.23-4mdk
- rebuild, new urls

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.23-3mdk
- rebuild
- drop Prefix tag
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep

* Mon Jan  6 2003 <sbenedict@mandrakesoft.com> 0.23-2mdk
- rebuild for new glibc/rpm

* Tue Jul 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.23-1mdk
- 0.23

* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.22-3mdk
- BuildRequires (freetype2-devel)

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.22-2mdk
- fix BuildRequires
- Copyright --> License

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.22-1mdk
- version 0.22

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-2mdk
- Clean spec
- Add locales
- Recompiled against latest gnome-print

* Fri Dec 8 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.21-1mdk
- add new source

* Fri Nov 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.20-1mdk
- new and shiny source bumped into cooker.

* Mon Nov 6 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.18-1mdk
- up to 0.18

* Thu Aug 31 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.17-4mdk
- still some fix in the spec

* Wed Aug 30 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.17-3mdk
- minor fixes in the spec, further macrosification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.17-1mdk
- Packaged the 0.17

* Tue Apr 18 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.14-2mdk
- repackaged for the new libgnomeprint

* Sat Mar 18 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.14-1mdk
- Packaged the version 0.14

* Sun Mar 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12-1mdk
- new in contribs
- mandrake build
